<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" useAjaxSubmit="true" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system   = "GE:エンジンサンプル"
	pgid     = "GE0012"
	title    = "リソース間差分データ設定"
	date     = "2007/12/12"
	author   = "K.HASEGAWA"
	text     = "ZZZZ"
	version  = "001"
/>

<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />

<!-- 入力チェック -->
<!-- nullCheckの記述は不要です。columnのチェックを行う場合は、個別に記述する必要があります -->
<og:columnCheck command="{@command}" nullCheck="ACTION" />

<og:value key="ARROW" ><og:message lbl="ARROW" /></og:value>

<form method="POST" action="forward.jsp" target="RESULT">

<og:switch key="{@ACTION}" >
	<og:case match="GEM0008"  ><jsp:directive.include file="GEM0008.jsp" /></og:case>
	<og:case match="GEM0009"  ><jsp:directive.include file="GEM0009.jsp" /></og:case>
	<og:case match="GEM0010"  ><jsp:directive.include file="GEM0010.jsp" /></og:case>
	<og:case match="GEM0011"  ><jsp:directive.include file="GEM0011.jsp" /></og:case>
	<og:case match="GEM0012"  ><jsp:directive.include file="GEM0012.jsp" /></og:case>
	<og:case match="GEM0013"  ><jsp:directive.include file="GEM0013.jsp" /></og:case>
	<og:case match="GEM0015"  ><jsp:directive.include file="GEM0015.jsp" /></og:case>
	<og:case match="GEM0016"  ><jsp:directive.include file="GEM0016.jsp" /></og:case>
	<og:case match="GEM0017"  ><jsp:directive.include file="GEM0017.jsp" /></og:case>
	<og:case match="GEM0018"  ><jsp:directive.include file="GEM0018.jsp" /></og:case>
	<og:case match="GEM0019"  ><jsp:directive.include file="GEM0019.jsp" /></og:case>
<!--	<og:case match="GEM0041"  ><jsp:directive.include file="GEM0041.jsp" /></og:case>	-->
	<og:case match="GEM0042"  ><jsp:directive.include file="GEM0042.jsp" /></og:case>
<!--	<og:case match="GEM0028"  ><jsp:directive.include file="GEM0028.jsp" /></og:case>	-->
	<og:case match="GEM0015B" ><jsp:directive.include file="GEM0015B.jsp" /></og:case>
	<og:case match="GEM0016B" ><jsp:directive.include file="GEM0016B.jsp" /></og:case>
	<og:case match="GEM0017B" ><jsp:directive.include file="GEM0017B.jsp" /></og:case>
</og:switch>

<b><og:message lbl="{@ACTION}" />　<og:text>(jsp={@ACTION}.jsp)</og:text></b><br />
　　<b style="color:blue"><og:message lbl="{@ACTION}" type="Description" /></b><br />

<og:equals val1="{@lblKey}" val2="A" ><og:message lbl="MSG0045" /></og:equals>
<og:equals val1="{@lblKey}" val2="C" ><og:message lbl="MSG0046" /></og:equals>
<og:equals val1="{@lblKey}" val2="D" ><og:message lbl="MSG0047" /></og:equals>

<og:writeCheck>
	<og:submit  action="ENTRY" />
	<og:submit  action="RESET" />
	<og:input type="reset"  name="command"  lbl="MSG0011"  td="false" />
</og:writeCheck>

<og:view
	viewFormType = "HTMLTable"
	command      = "{@command}"
	checked      = "{@checked}"
	startNo      = "{@startNo}"
	pageSize     = "{@pageSize}" />
</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
